Create a new activation connect link Public Preview
Create a new activation Connect Link, which can be used to collect your customers' credentials when creating an activation. Read more on how to use Connect Links in our Activations in Powered by Fivetran How-to Guides.
Request schema
Header parameters
HTTP: basicAuth
HTTP AuthorizationScheme: basic
Request
The type of activation to be managed by this link.
The unique identifier of the group that this Connect Link should be associated with.
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this URL.
POST /api/v2/activation_connect_links HTTP/1.1 Authorization: Bearer REPLACE_BEARER_TOKEN Content-Type: application/json Host: app.getcensus.com Content-Length: 125 { "type": "hubspot", "group_id": "wandering_aimlessly", "redirect_uri": "https://your-app.example.com/oauth/callback" }
Responses
201
Outcome of the operation.
The unique ID associated with the Connect Link.
The type of activation to be managed by this link.
The date and time when the Connect Link will expire.
A boolean value indicating whether the Connect Link has expired or not.
A boolean value indicating whether the Connect Link has been revoked or not.
The authorization URL that you will provide to end-users that begins the Fivetran-hosted flow to authorize an activation into your workspace.
The redirect URI, if any, associated with the Connect Link. The URL that you'd like the end-user to be redirected to after authorizing the activation. We do not forward the OAuth code or token to this URL.
The unique identifier of the group associated with this Connect Link.
400
HTTP status code.
Description of the validation error.
401
HTTP status code.
404
HTTP status code.
{ "status": "success", "data": { "id": 469, "type": "hubspot", "expiration": "2027-09-28T23:42:47.239Z", "expired": false, "revoked": false, "uri": "https://app.fivetran.com/pbc?auth=expiring_auth_key", "redirect_uri": "https://your-app.example.com/oauth/callback", "group_id": "wandering_aimlessly" } }